%define name	synce
%define version	0.9.1
%define	release	%mkrel 2

%define major 0
%define libname %mklibname %name %major

Name:		%{name}
Summary: 	SynCE: Core programs needed to use SynCE
Version: 	%{version}
Release: 	%{release}

License:	MIT
Source0: 	synce-libsynce-0.9.1.tar.bz2
Source1: 	synce-librapi2-0.9.1.tar.bz2
Source2: 	synce-dccm-0.9.1.tar.bz2
Source3: 	synce-serial-0.9.1.tar.bz2
Source4: 	libmimedir-0.4.tar.bz2
Source5: 	synce-rra-0.9.1.tar.bz2
Source7:	synce-0.90-usb.usermap
Source8:	synce-hotplug

Patch0:        synce-rra-fix-build.patch.bz2

URL: 		http://synce.sourceforge.net/
Group: 		Communications

Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bison flex
BuildRequires:	chrpath
Requires: 	ppp

%description
Core programs needed to use SynCE.

The purpose of the SynCE project is to provide a means of communication with a
Windows CE device from a computer running Linux, FreeBSD or a similar operating
system.

Check your IPtables to allow inbound traffic from SynCE devices.

See http://synce.sourceforge.net/ for more information.

%package -n     %{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n     %{libname}-devel
Summary:        Header files and static libraries from %name
Group:          Development/C
Requires:       %{libname} >= %{version}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %name-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -c -q %name-%version -a 0 -a 1 -a 2 -a 3 -a 4 -a 5
perl -p -i -e 's|crtscts\n|crtscts\nnomppc\n||g' synce-serial-%{version}/script/synce-serial-config.in

%patch -p0 
%build
rm -rf $RPM_BUILD_ROOT
for S in %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4}; do
	pushd `basename $S .tar.bz2`
	%configure2_5x --with-libsynce=$RPM_BUILD_ROOT%{_prefix} --with-librapi2=$RPM_BUILD_ROOT%{_prefix} --with-libmimedir=$RPM_BUILD_ROOT%{_prefix}
	%makeinstall
	popd
done
S=%{SOURCE5}
pushd `basename $S .tar.bz2`
%configure2_5x --with-libsynce=$RPM_BUILD_ROOT%{_prefix} --with-librapi2=$RPM_BUILD_ROOT%{_prefix} --with-libmimedir=$RPM_BUILD_ROOT --includedir=%{_includedir}/rra
%makeinstall includedir=$RPM_BUILD_ROOT%{_includedir}/rra
popd

%install
rm -f $RPM_BUILD_ROOT%{_includedir}/libmimedir.h

#
# Try to prevent errors like this:
#
# libtool: link: warning: library `/usr/lib/librra.la' was moved.
# grep: /var/tmp/synce-0.8-1-root/usr/lib/librapi.la: No such file or directory
# /bin/sed: can't read /var/tmp/synce-0.8-1-root/usr/lib/librapi.la: No such file or directory
# libtool: link: `/var/tmp/synce-0.8-1-root/usr/lib/librapi.la' is not a valid libtool archive
#
PATTERN=`echo $RPM_BUILD_ROOT | sed 's/\//\\\\\//g'`
sed -i "s/$PATTERN//g" $RPM_BUILD_ROOT%{_libdir}/*.la

# fix rpath
cd $RPM_BUILD_ROOT/%{_bindir}
chrpath -d dccm pcp pls pmkdir pmv prm prmdir prun pstatus rapiconfig \
	synce-list-programs synce-matchmaker synce-registry synce-serial-chat
cd -
chrpath -d $RPM_BUILD_ROOT/%{_libdir}/*.so*

# usb.usermap and hotplug script for synce user support
mkdir -p $RPM_BUILD_ROOT%{_libdir}/hotplug/synce
install -m644 %{SOURCE7} $RPM_BUILD_ROOT%{_libdir}/hotplug/synce/usb.usermap
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb
install -m755 %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb/synce



%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%post 
# add supported synce devices to /etc/hotplug/usb.usermap
/usr/sbin/update-usb.usermap || :

%postun -n %{libname} -p /sbin/ldconfig

%postun
if [ "$1" = 0 ]; then
    # remove supported synce devices from /etc/hotplug/usb.usermap
    # if erasing the package not as part of a package update
    /usr/sbin/update-usb.usermap || :
fi


%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/synce
%{_mandir}/man1/*
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/hotplug/usb/synce
%{_libdir}/hotplug/synce/usb.usermap

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/aclocal/*

%changelog
* Fri Sep 02 2005 Marcel Pol <mpol@mandriva.org> 0.9.1-2mdk
- fix substitute in %%prep
- fix rpath

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.1-1mdk
- New release 0.9.1
- Patch 0 : Fix build of synce-rra

* Sun Jan 09 2005 Austin Acton <austin@mandrake.org> 0.9.0-2mdk
- from Charles Bovy <charles@bovy.nl> :
  - added hotplug script included usb.usermap file
  - changed synce-serial-config to add nomppc to synce-peer 

* Wed Jan 5 2005 Austin Acton <austin@mandrake.org> 0.9.0-1mdk
- adapt spec from Charles Bovy
